#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2000-2003 Free Software Foundation
#
# FILE:
# GRServices.py
#
# DESCRIPTION:
# Defines the services provided by GNUe Reports Server.
#
# NOTES:
#

## string
## boolean
## set
## binary
## float
## integer
## datetime


ExportedServices = (
  { 'Module':      'Reports',
    'Modules':     (),
    'Methods':     {
       'getReportDefinition': {
            'Parameters': {
                'location': {
                    'Description': 'The location of the report',
                    'Typecast': 'string' } },
            'Returns': 'binary',
            'Description' : 'Returns the report definition (in XML format).' },
       'getReportHeader': {
            'Parameters': {
                'location': {
                    'Description': 'The location of the report',
                    'Typecast': 'string' } },
            'Returns': 'binary',
            'Description' : 'Returns the report definition (in XML format).' },
       'getAvailableFilters': {
            'Parameters': (),
            'Typecast': 'list:string',
            'Description' : 'Returns the report definition (in XML format).' },
    },
    'Exceptions': {
       'ReportNotFound' : {
            'Description': ''}
        }
   } )
